%define name bzflag
%define version 1.7e2
%define release 2mdk
%define summary A multiplayer 3D tank battle game

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
Source: http://download.sourceforge.net/bzflag/%{name}-%{version}.tar.bz2
Source10: %{name}.16.xpm.bz2
Source11: %{name}.32.xpm.bz2
Source12: %{name}.48.xpm.bz2
Patch: bzflag-remove-static-installdatadir.patch.bz2
URL: http://BZFlag.SourceForge.net/
Copyright: GPL
Group: Games/Arcade
BuildRequires: Mesa-common-devel XFree86-devel
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
Serial: 1

%description
BZFlag is a multiplayer 3D tank battle game. It's one of the most popular games
ever on Silicon Graphics systems.

%prep
%setup -q
%patch0 -p0

echo "INSTALL_DATA_DIR = "%{_gamesdatadir}/%{name} >> configs/config-linux

%build
make linux
make CXXOPT="$RPM_OPT_FLAGS"

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT%{_gamesbindir} $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp bin/* $RPM_BUILD_ROOT%{_gamesbindir}
cp data/* $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="BZflag" \
  longtitle="%{summary}"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc README LICENSE BUGS
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e2-2mdk
- rebuild

* Thu Apr 26 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e2-1mdk
- 1.7e2

* Mon Mar 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e0-2mdk
- add a serial to make it upgrade the older version..

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e0-1mdk
- 1.7e0

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-5mdk
- recompile with latest gcc from chmou
- provide 48x48 icon

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-4mdk
- recompile against newest libstdc++
- fix compile against gcc-2.96

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-3mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.7d.9-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-1mdk
- first package for Linux-Mandrake

